
function addEvent(obj, type, fn) {
	if (obj.addEventListener) {
		obj.addEventListener(type, fn, false);
	}
	else if (obj.attachEvent) {
		obj["e" + type + fn] = fn;

		obj[type + fn] = function() {
			obj["e" + type + fn](window.event);
		}
		obj.attachEvent("on" + type, obj[type + fn]);
	}
}

function isLinkExternal(link) {
	var r = new RegExp('^https?://(?:www.)?' + location.host.replace(/^www./, ''));
	
	return !r.test(link);
}

addEvent(window, 'load', initDocumentClick);

function initDocumentClick() {
	addEvent(document, 'click', initExternalLinks);

	function initExternalLinks(e) {
		var target = (window.event) ? e.srcElement : e.target;
		while (target) {
			if (target.href) {
				break;
			}

			target = target.parentNode;
		}
		
		if (!target || !isLinkExternal(target.href)) {
			return true;
		}

		var link = target.href;

		link = '/outgoing/' + link.replace(/:\/\//, '/');
		
		if (typeof(pageTracker._trackPageview) == 'function') {
			pageTracker._trackPageview(link);
		}
	}
}
